<!-- <div class="container">
  <div class="row card">
    <div class="card-header">
      <i class="icon-map"></i>User registration
    </div>
    <div class="col-xs-12 col-sm-10 col-md-8 col-sm-offset-1 col-md-offset-2 card-body"> -->


        <div class="container">
            <div class="row">
            <div class="col-sm-3"></div>

            <div class="col-sm-6">
                <mat-toolbar color="primary">User Registration</mat-toolbar>
              <mat-card class="example-card">
                <mat-card-content>

      <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
        <!-- <div class="form-group">
          <label for="contactNumber">Contact Number<sup class="req">*</sup></label>
          <input
          	type="text"
          	formControlName="contactNumber"
          	class="form-control"
            placeholder="Enter Contact Number">
             <div *ngIf="registerForm.get('contactNumber').invalid && registerForm.get('contactNumber').touched"
              class="alert alert-danger">

              <div *ngIf="registerForm.get('contactNumber').errors.required">
                Contact Number is required.
              </div>
              <div *ngIf="registerForm.get('contactNumber').errors.pattern">
                Contact Number must contain only digits.
              </div>
              <div *ngIf="registerForm.get('contactNumber').errors.minlength || registerForm.get('contactNumber').errors.minlength">
                Contact Number must be of exact 10 digits.
              </div>
            </div>

        </div> -->

        <mat-form-field class="form-group">
            <mat-label> Contact Number </mat-label>
            <input matInput formControlName="contactNumber" placeholder="Enter Contact Number" />
            <mat-error *ngIf="!!this.registerForm.controls.contactNumber.hasError('required')"
              >Contact Number is required</mat-error
            >
            <mat-error *ngIf="!!this.registerForm.controls.contactNumber.hasError('pattern')"
              >Contact Number must contain only digits</mat-error
            >

            <mat-error *ngIf="(!!this.registerForm.controls.contactNumber.hasError('minlength') || !!this.registerForm.controls.contactNumber.hasError('maxlength')) && !this.registerForm.controls.contactNumber.hasError('pattern')"
              >Contact Number must be of exact 10 digits</mat-error
            >
          </mat-form-field>

        <!-- <div class="form-group">
          <label for="userType">User Type<sup class="req">*</sup></label>
          <select
            id="userType"
            formControlName="userType"
            class="form-control">
            <option value="-1">- Click to Select User Type -</option>
            <option *ngFor="let u of userTypes">{{ u }}</option>
          </select>
             <div *ngIf="registerForm.get('userType').invalid && registerForm.get('userType').touched"
              class="alert alert-danger">

              <div *ngIf="registerForm.get('userType').errors.min">
                Please select User Type.
              </div>
            </div>
        </div> -->
        <mat-form-field class="form-group">
            <mat-label> User Type </mat-label>
            <mat-select id="userType" formControlName="userType" >
              <mat-option value="-1"
                >----Click to Select User Type----</mat-option>

              <mat-option *ngFor="let u of userTypes" value= "{{u}}">{{ u }}</mat-option>
            </mat-select>
            <mat-error *ngIf="registerForm.get('userType').hasError('min')">
                Please select User Type.
            </mat-error>
          </mat-form-field>

<!--
        <div class="form-group">
          <label for="userName">User Name<sup class="req">*</sup></label>
          <input
              type="text"
              formControlName="userName"
              class="form-control"
              placeholder="Enter User Name">
              <div *ngIf="registerForm.get('userName').invalid && registerForm.get('userName').touched"
              class="alert alert-danger">

              <div *ngIf="registerForm.get('userName').errors.required">
                User Name is required.
              </div>
            </div>
        </div> -->

        <mat-form-field class="form-group">
            <mat-label> User Name </mat-label>
            <input matInput formControlName="userName" placeholder="Enter User Number" />
            <mat-error *ngIf="!!this.registerForm.controls.userName.hasError('required')"
              >User Name is required</mat-error
            >
          </mat-form-field>



         <!-- <div class="form-group">
            <label for="password">Password<sup class="req">*</sup></label>
                <input
                	type="password"
                	formControlName="password"
                	class="form-control"
                  placeholder="Enter the Password">
                <div *ngIf="registerForm.get('password').invalid && registerForm.get('password').touched && registerForm.get('password').errors.required"
                class="alert alert-danger">
                  Password is required.
              </div>
          </div> -->

          <mat-form-field class="form-group">
              <mat-label> Password </mat-label>
              <input type="password" matInput formControlName="password" placeholder="Enter Password" />
              <mat-error *ngIf="!!this.registerForm.get('password').hasError('required')"
                >Password is required</mat-error
              >
            </mat-form-field>

            <mat-form-field class="form-group">
                <mat-label> Confirm Password </mat-label>
                <input type="password" matInput formControlName="confirmPassword" placeholder="Enter password again" />
                <mat-error *ngIf="!!this.registerForm.get('confirmPassword').hasError('required')"
                  >Password Confirmation is required</mat-error>
                  <mat-error *ngIf="this.registerForm.get('password').value != this.registerForm.get('confirmPassword').value"
                  >Password not matching</mat-error>
              </mat-form-field>
              <!-- <mat-error *ngIf="registerForm.get('password').touched &&registerForm.get('confirmPassword').touched && registerForm.get('confirmPassword').errors && registerForm.get('confirmPassword').hasError('ConfirmPassword')"
                  >Passsword and confirmPassword didn't match.</mat-error
                  > -->

          <!-- <div class="form-group">
            <label for="confirmPassword">Confirm Password<sup class="req">*</sup></label>
                <input
                	type="password"
                	formControlName="confirmPassword"
                	class="form-control"
                  placeholder="Enter the Password again">
                <div *ngIf="registerForm.get('confirmPassword').invalid && registerForm.get('confirmPassword').touched && registerForm.get('confirmPassword').errors.required"
                class="alert alert-danger">
                  Enter the password again.
              </div>
          </div>
         <div *ngIf="registerForm.get('password').touched &&registerForm.get('confirmPassword').touched && registerForm.get('confirmPassword').errors && registerForm.get('confirmPassword').hasError('confirmPassword')"
         >Pasword not matched</div>-->


              <div class="row">
                  <div class="col-sm-4"></div>
                  <div class="col-sm-4"></div>
                  <div class="col-sm-4">
        <button
           mat-raised-button color="primary"
           type="submit"
           [disabled]="registerForm.invalid">Submit</button></div></div>
      </form>
    </mat-card-content>
  </mat-card>
  </div>
<div class="col-sm-3 "></div>
</div>
</div>
